Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.appflow.webflow.servlets.jsp.taglib
Class SelectTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.appflow.webflow.servlets.jsp.taglib.SelectTag

public class SelectTag
extends javax.servlet.jsp.tagext.TagSupport

See Also:
  Serialized Form

Field Summary
`protected WebflowValidatedFormTag` | `formTag`
`protected java.lang.String` | `htmlAttributes`
`protected java.lang.String` | `message`
`protected java.lang.String` | `multiple`
`protected boolean` | `multipleBool`
`protected java.lang.String` | `name`
`protected java.lang.String` | `retainValue`
`protected boolean` | `retainValueBool`
`protected java.lang.String` | `size`
`protected java.lang.String` | `style`
`protected ValidatedValues` | `validatedValues`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`SelectTag()`

Method Summary
`protected void` | `addIntoPageContext(java.lang.String name, java.lang.String value)`
`protected java.lang.String` | `buildMessage(java.lang.String applyStyle)`
`int` | `doEndTag()`
`int` | `doStartTag()`
`protected java.lang.String` | `getDefaultMultiple()`
`protected java.lang.String` | `getDefaultRetainValue()`
`protected WebflowValidatedFormTag` | `getFormTag()`
`java.lang.String` | `getHtmlAttributes()`
`protected javax.servlet.http.HttpServletRequest` | `getHttpServletRequest()`
`java.lang.String` | `getMessage()`
`java.lang.String` | `getMultiple()`
`boolean` | `getMultipleBool()`
`java.lang.String` | `getName()`
`java.lang.String` | `getRetainValue()`
`boolean` | `getRetainValueBool()`
`java.lang.String` | `getSize()`
`java.lang.String` | `getStyle()`
`void` | `release()`
`void` | `setHtmlAttributes(java.lang.String attribute)`
`void` | `setMessage(java.lang.String message)`
`void` | `setMultiple(java.lang.String multiple)`
`void` | `setName(java.lang.String name)`
`void` | `setRetainValue(java.lang.String retainValue)`
`void` | `setSize(java.lang.String size)`
`void` | `setStyle(java.lang.String style)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### size

    protected java.lang.String size

### style

    protected java.lang.String style

### message

    protected java.lang.String message

### retainValue

    protected java.lang.String retainValue

### retainValueBool

    protected boolean retainValueBool

### multiple

    protected java.lang.String multiple

### multipleBool

    protected boolean multipleBool

### htmlAttributes

    protected java.lang.String htmlAttributes

### validatedValues

    protected ValidatedValues validatedValues

### formTag

    protected WebflowValidatedFormTag formTag

Constructor Detail

### SelectTag

    public SelectTag()

Method Detail

### release

    public void release()

  Overrides:
    release in class javax.servlet.jsp.tagext.TagSupport

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.TagSupport

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Overrides:
    doEndTag in class javax.servlet.jsp.tagext.TagSupport

### addIntoPageContext

    protected void addIntoPageContext(java.lang.String name,
                                      java.lang.String value)

### buildMessage

    protected java.lang.String buildMessage(java.lang.String applyStyle)

### getFormTag

    protected WebflowValidatedFormTag getFormTag()
                                          throws javax.servlet.jsp.JspException

### getRetainValueBool

    public boolean getRetainValueBool()

### getRetainValue

    public java.lang.String getRetainValue()

### setRetainValue

    public void setRetainValue(java.lang.String retainValue)

### getDefaultRetainValue

    protected java.lang.String getDefaultRetainValue()

### getMultipleBool

    public boolean getMultipleBool()

### getMultiple

    public java.lang.String getMultiple()

### setMultiple

    public void setMultiple(java.lang.String multiple)

### getDefaultMultiple

    protected java.lang.String getDefaultMultiple()

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getSize

    public java.lang.String getSize()

### setSize

    public void setSize(java.lang.String size)

### getStyle

    public java.lang.String getStyle()

### setStyle

    public void setStyle(java.lang.String style)

### getMessage

    public java.lang.String getMessage()

### setMessage

    public void setMessage(java.lang.String message)

### getHtmlAttributes

    public java.lang.String getHtmlAttributes()

### setHtmlAttributes

    public void setHtmlAttributes(java.lang.String attribute)

### getHttpServletRequest

    protected javax.servlet.http.HttpServletRequest getHttpServletRequest()

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved